AFAIK, TLS is supported, in fact I think that is what GMail is using. However there are newer versions of TLS that Office365 might require, that DAI V6 does not support. You should have received an email from me months ago about the TLS 1.2 issue and MS-SQL Server 2019. DAI 6.5.27 provides a solution. The details were in that email. Please do update your build and confirm that you can get it working using a Gmail account. If you can't get that working, you'll never get Office 365 working.